[oe-commits] Koen Kooi : gstreamer-ti: prettify postinst and postrm

git version control git at git.openembedded.org
Sat Jun 12 09:04:41 UTC 2010


Module: openembedded.git
Branch: org.openembedded.dev
Commit: 62ba5c84d8c6c697394aca2ec43a6435e9a7791f
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=62ba5c84d8c6c697394aca2ec43a6435e9a7791f

Author: Koen Kooi <k-kooi at ti.com>
Date:   Thu May 20 15:55:07 2010 +0200

gstreamer-ti: prettify postinst and postrm

---

 recipes/ti/ti-dsplink.inc |   19 +++++++++++--------
 1 files changed, 11 insertions(+), 8 deletions(-)

diff --git a/recipes/ti/ti-dsplink.inc b/recipes/ti/ti-dsplink.inc
index aec2742..119211e 100644
--- a/recipes/ti/ti-dsplink.inc
+++ b/recipes/ti/ti-dsplink.inc
@@ -172,16 +172,19 @@ PACKAGES += "ti-dsplink-module"
 FILES_ti-dsplink-module = "/lib/modules/${KERNEL_VERSION}/kernel/drivers/dsp/dsplinkk.ko" 
 RDEPENDS_ti-dsplink-module += "update-modules"
 
-pkg_postinst_ti-dsplink-module_append () {
-        if [ -n "$D" ]; then
-                exit 1
-        fi
-        depmod -a
-        update-modules || true
+pkg_postinst_ti-dsplink-module () {
+#!/bin/sh
+if [ -n "$D" ]; then
+	exit 1
+fi
+
+depmod -a
+update-modules || true
 }
 
-pkg_postrm_ti-dsplink-module_append () {
-        update-modules || true
+pkg_postrm_ti-dsplink-module () {
+#!/bin/sh
+update-modules || true
 }
 
 PACKAGES += "ti-dsplink-examples"





More information about the Openembedded-commits mailing list